org.apache.sling.capabilities.jcr

## Class SearchSource

- java.lang.Object
- - org.apache.sling.capabilities.jcr.SearchSource

All Implemented Interfaces:
  org.apache.sling.capabilities.CapabilitiesSource

    public class SearchSource
    extends Object
    implements org.apache.sling.capabilities.CapabilitiesSource

CapabilitiesSource that provides information on the JCR Repository's search features

### Nested Class Summary

Nested Classes
`static interface` `SearchSource.Config`

### Field Summary

Fields
`static String` `DEFAULT_QUERY`
`static String` `NAMESPACE`
`static String` `SSA_PROP_NAME`
`static String` `SUBSERVICE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`SearchSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(SearchSource.Config cfg, org.osgi.service.component.ComponentContext ctx)`
`Map<String,Object>` `getCapabilities(org.apache.sling.api.resource.ResourceResolver rr)`
`String` `getNamespace()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

#### SSA_PROP_NAME

    public static final String SSA_PROP_NAME

See Also:
  Constant Field Values

#### SUBSERVICE_NAME

    public static final String SUBSERVICE_NAME

See Also:
  Constant Field Values

#### DEFAULT_QUERY

    public static final String DEFAULT_QUERY

See Also:
  Constant Field Values

### Constructor Detail

#### SearchSource

    public SearchSource()

### Method Detail

#### activate

    protected void activate(SearchSource.Config cfg,
                            org.osgi.service.component.ComponentContext ctx)

#### getCapabilities

    public Map<String,Object> getCapabilities(org.apache.sling.api.resource.ResourceResolver rr)
                                       throws Exception

Specified by:
  `getCapabilities` in interface `org.apache.sling.capabilities.CapabilitiesSource`
Throws:
  `Exception`

#### getNamespace

    public String getNamespace()

Specified by:
  `getNamespace` in interface `org.apache.sling.capabilities.CapabilitiesSource`